#!/usr/bin/env bash

#####################################################################################################################
# Globals:
#   PROJDIR
# Arguments:
#   None
# Returns:
#   None
# Purpose: main function to prepare execution environment for the underlying platform, that basically consist on
#   setting up the modules to be used, common environment variables and the common paths
#####################################################################################################################
function load_platform_environment() {
  # load utils/filesystem libraries for common env functions
  . "${PROJDIR}/platforms/mn5_transfer_node/filesystem.sh"
  . "${PROJDIR}/platforms/mn5_transfer_node/utils.sh"
  #configure all modules needed for run the job
  setup_environment_vars
  # define all paths needed
  setup_paths
}

#####################################################################################################################
# Globals:
#   None
# Arguments:
#   None
# Returns:
#   None
# Purpose: Prepare the modules needed to execute the OASIS restart generation script for Marenostrum5 platform
#####################################################################################################################
function load_modules_oas_rsts_gen() {
  echo "Function generate_oasis_restarts not available in this platform (transfer_node)"
}

