#!/usr/bin/env bash

########################################################################################################################
# 
# Record performance metrics from Slurm of the CMORWRAPPER job.
#
# VARIABLE INDEX: 
#
# internal autosubmit:
#
# CURRENT_ROOTDIR: remote scratch dir 
# EXPID: Autosubmit's experiment identification 
# SDATE: Start date of this experiment (not the copied data, but should match it) 
# MEMBER: Member of this experiment (not the copied data, but should match it) 
# CHUNK: Current chunk of this job 
# DEPENDENCIES: List of job dependencies
#
# in expdef_cxxx.conf (if you use TODO INSERT HASH) data you should not change this:
#
# ECEARTH_OUTPUT: path to the experiment which we will link its data (/gpfs/scratch/bsc32/bsc032371/cxxx)
# ECEARTH_OUTPUT_SDATE: start date of the original data (i.e. YYYYMMDD)
#
# Manuel G. Marciani
# BSC-CNS - Earth Sciences Department
# 2024
#
########################################################################################################################

PREVIOUS_CMOR_JOB=%EXPID%_%SDATE%_%MEMBER%_%CHUNK%_$(echo "%DEPENDENCIES%" | grep -oP "(?<=')(.*?)(?=')")
LOGDIR=%CURRENT_ROOTDIR%/LOG_%EXPID%

sacct --name $PREVIOUS_CMOR_JOB -P -o "JobName,JobID,Submit,Start,End,ReqMem,ReqCPUS,TotalCPU,Elapsed,MaxRSS,State" > $LOGDIR/$PREVIOUS_CMOR_JOB.stats
