#!/usr/bin/env bash
########################################################################################################################
# 
# This job copied the files to the remote host. 
# DISCLAIMER: THIS JOB IS HARDCODED FOR BSC's INFRASTRUCTURE.
#
# DT_USER: user of the data transfer marchine
# DT_HOST: hostname of the data transfer 
# DT_ROOTDIR: root directory of the experiment in the transfer machine 
# PROJDIR: local project directory (Default Autosubmit)
# EXPID: Autosubmit's experiment id (Default Autosubmit)
# PROJECT_DESTINATION: folder where Autosubmit stores the repository with code (Default Autosubmit)
# PROJDIR: local (where Autosubmit is running) folder where the code is stored 
#
# Manuel G. Marciani
# BSC-CNS - Earth Sciences Department
# 2024
#
########################################################################################################################

# we do not copy the git repository
rsync --recursive --links --perms --times --devices --specials --verbose --exclude=".*" %PROJDIR%/ece2cmor %DT_USER%@%DT_HOST%:%DT_ROOTDIR%/%EXPID%/%PROJECT_DESTINATION%
rsync --recursive --links --perms --times --devices --specials --verbose --exclude=".*" %PROJDIR%/fx_files %DT_USER%@%DT_HOST%:%DT_ROOTDIR%/%EXPID%/%PROJECT_DESTINATION%
rsync --recursive --links --perms --times --devices --specials --verbose --exclude=".*" %PROJDIR%/outclass %DT_USER%@%DT_HOST%:%DT_ROOTDIR%/%EXPID%/%PROJECT_DESTINATION%
rsync --recursive --links --perms --times --devices --specials --verbose --exclude=".*" %PROJDIR%/platforms %DT_USER%@%DT_HOST%:%DT_ROOTDIR%/%EXPID%/%PROJECT_DESTINATION%
rsync --recursive --links --perms --times --devices --specials --verbose --exclude=".*" %PROJDIR%/plugins %DT_USER%@%DT_HOST%:%DT_ROOTDIR%/%EXPID%/%PROJECT_DESTINATION%
rsync --recursive --links --perms --times --devices --specials --verbose --exclude=".*" %PROJDIR%/sources %DT_USER%@%DT_HOST%:%DT_ROOTDIR%/%EXPID%/%PROJECT_DESTINATION%
